*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body{
    position: relative;
    overflow-y: scroll;
}
html, body{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    height: 100%;
    width: 100%;
    background-color:  #ffffff;

}
.overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.1);
            display: none;
            z-index: 1000;
        }
header{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 7vh;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-weight: 300;
    font-size: 18px;
    position: fixed;
    background-color: transparent;
    top: 0;
    color: #FFFFFF;
}
.banner-text{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 10px;
    font-weight: 300;
    letter-spacing: 2px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    width: 95%;
    padding: 10px;
    height: auto;
    margin-top: 0;
    margin-bottom: 1vh;
    flex-direction: column;
    text-align: center;

}
main{
    display: flex;
    height: auto;
    width: 100%;
    flex-wrap:wrap;
    justify-content: center;
    overflow-y: auto;
    flex: 1;
    flex-shrink: 0;
    min-height: 85vh;
    background-color: #FFFFFF;

}
.our-designs-banner{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    aspect-ratio: 1/1;
    color: #181818;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    transition: margin-top 0.75s ease;
    margin-top: 0;
    font-weight: 600;
}
.our-designs-banner video{
    width:90%;
    aspect-ratio: 1/1;
    object-fit: cover;
    border-radius: 15px;
}
.explore-statement{
    display: flex;
    align-items: center;
    font-size: 10px;
    font-weight: 300;
    letter-spacing: 2px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    width: 100%;
    padding: 10px;
    height: auto;
    margin-bottom: 1vh;
    flex-direction: column;
}
.item{
    gap: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 60vh;
    width: 20%;
    border: solid thin #bb62038a;
    margin: 10px;
    font-size: 13px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
.item:hover{
    box-shadow: 1px 1px 5px gray;
    width: 20.5%;
    transition: 0.25s;

}
.item_image{
    width: 95%;
    height: 50%;
    margin-bottom: 10px;
}
.item_details{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 40%;
    width: 100%;
}
.detail_span{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    height: 33.3%;
    width: 97.5%;
}
.add_to_cart{
    display: none;
}
.ps_span{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    height: 100%;
    width: 50%;
}
.stars{
    justify-content: end;
    padding-right: 5px;
}

.the_item_image{
    width: 100%;
    aspect-ratio: 1 / 1;

}

footer{
    display: flex;
    height: auto;
    width: 100%;
    margin-top: 0;
    flex-wrap:wrap;
    justify-content: center;
    margin-bottom: 7.5vh;
}

.inBOTTOM{
    background-color: #FFFFFF;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 33vh;
    color: #000000;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin-top: 2vh;
    border-bottom: thin solid rgba(0, 0, 0, 0.1);
    border-top: thin solid rgba(0, 0, 0, 0.1);

}
.inSITE{
    background-color: #FFFFFF;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 27vh;
    color: #000000;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;

}
.BOTNAME{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 7vh;
    width: 100%;
    font-size: 20px;
    font-weight: 600;
}
.bothelp{
    display: flex;
    align-items: center;
    height: 6vh;
    width: 85%;
    position: relative;
    border-bottom: thin solid rgba(0, 0, 0, 0.1);
    font-size: 13px;

}
.botfirst{
    border-top: thin solid rgba(0, 0, 0, 0.1);
}
.botlast{
    border-bottom: none;
}
.collapsable{
    position: absolute;
    height: 100%;
    aspect-ratio: 1/0.75;
    display: flex;
    align-items: center;
    justify-content: center;
    right: 0;
}
.asite{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 3vh;
    width: 90%;
    text-align: center;
    font-size: 8px;
}
.map{
    height: 7vh;
}
.unavailable{
    display: none;
}

.contentDiv {
    border-radius: 15px 15px 0 0;
    position: fixed;
    bottom: -400px; /* Hidden below the screen */
    left: 0;
    width: 100%;
    height: 400px;
    z-index: 11000;
    flex: 1;
    background: #fff;
    transition: bottom 0.3s ease; /* Smooth transition for slide effect */
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: 12px;
    color: #444444;

  }
.top_notch{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 20px;
    width: 100%;
    border-radius: 15px 15px 0 0;
}
.mid_notch{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 10px;
    width: 100%;
}
.rod{
    display: flex;
    width: 10%;
    height: 20%;
    border-radius: 15px;
    background-color: #595959;
}
.mid_rod{
    display: flex;
    width: 95%;
    height: 10%;
    border-radius: 15px;
    background-color: #d9d9d9;
}
.image_sku{
    display: flex;
    align-items: center;
    height: 140px;
    width: 95%;
}
.image_sku img{
    border-radius: 10px;
}
.sku_name{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 110px;
    width: 50%;
    padding-left: 20px;
    font-size: 10px;
}
.smoke_upname{

    font-size: 13px;
}
.view_details{
    text-underline: black;
}
.smoke_up_details{
    height: 100px;
    width: 95%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
}
.smoke_up_details_two{
    height: 33px;
    width: 95%;
    display: flex;
    flex-direction: column;
}
.material{
    height: 33.33%;
    width: 100%;
    display: flex;
    align-items: center;
}
.material_two{
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
}
.sud{
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
}
.sud_two{
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: end;
}
.sud_add_to_cart{
    width: 95%;
    height: 55px;
    margin-top: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.sud_add_to_cart_btn{
    width: 90%;
    height: 97%;
    background-color: black;
    border-radius: 10px;
    color: #fff;
    border: none;
}
.sud_bookmark_btn{
    margin-left: 2%;
    background-color: #FFFFFF;
    height: 97%;
    aspect-ratio: 1/1;
    border-radius: 10px;
    border: thin solid #000;
    color: black;
    font-size: 20px;
}
.notification_sud{
    position: absolute;
    left: 2.5%;
    width: 75%;
    height: 45px;
    display: none;
    justify-content: center;
    margin: 2px auto;
    align-items: center;
    box-shadow: 1px 1px 3px #e1e1e1;
    background-color: #FFFFFF;
    border-radius: 5px;

}
.note-status{
    position: absolute;
    left: 0;
    height: 100%;
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 25px;
}

@media (max-width: 768px) {
    header{
        height: 8vh;
        position: fixed;
        top: 0;
    }
    main{
        align-items: center;
        justify-content: start;
        height: auto;
        width: 100%;
        margin-top: 0;
        flex-wrap:wrap;
        overflow: scroll;
    }
    .cart{
        display: none;

    }
    .item{
        gap: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: auto;
        width: 50%;
        border-radius: 0;
        border: none;
        box-sizing: border-box;
        padding: 0;
        margin: 0;
        margin-bottom: 20px;

    }
    .add_to_cart{
        display: none;
    }
    .item:hover{
        box-shadow: none;
        width: 50%;
        transition: 0.25s;

    }
    .item_image{
        width: 100%;
        aspect-ratio: 1 / 1;
        margin-bottom: 10px;
        border-radius: 0;
    }
    .item_details{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: 40%;
        width: 100%;
    }
    .detail_span{
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: start;
        height: 33.3%;
        width: 97.5%;
        font-size: 10px;
        padding-left: 10px;
        margin-bottom: 10px;
    }


    .casava_logo_mp_self {
        width: 200px;
        height: 200px;
    }
    .casava_logo_mp_self img{
        position: absolute;
        width: 60%;
        height: auto;
        bottom: 0;
        left: 20%;


    }
    .desktop{
        display: none;
    }
    .phone{
        display: flex;
    }
    .alert_store{
        align-items: end;
        justify-content: center;
    }
    .alert_store_span{
        height: 50%;
        width: 50%;
        align-items: center;
        font-size: 15px;
    }
    .header_span{
        display: flex;
        flex-direction: column;
        align-items: end;
        justify-content: center;
        height: 50%;
        width: 100%;
        padding-right: 15px;
    }


    .orders{
        font-size: 17px;
    }
}